:root {
    --dark: #303941;
    --light: #f2f5fa;
    --light-gray: #c1d2ec;
    --primary: #008CBA;
    --danger: rgb(186, 59, 0);
    --success: rgb(53, 186, 0);
}

/* Reset */



/* Top Bar */


/* Wrapper */

.wrapper {
    flex-direction: column;
    display: flex;
    width: 100%;
    max-width: 980px;
}

/* Controls */

.controls {
    flex: none;
    padding: 1rem;
    padding-top: 4rem;
    background-color: var(--light);
}


/* Control Group */

.control-group {
    display: flex;
    align-items: flex-start;
    margin-bottom: .5rem;
}

.control-group-buttons {
    flex: none;
    width: 80px;
    margin-right: .5rem;
}

.control-group-buttons button {
    width: 100%;
}

.control-group-inputs {
    flex: 1;
    flex-direction: column;
    display: flex;
}

.control-group-inputs input {
    width: 100%;
    margin-bottom: .5rem;
}

.control-group-inputs input:last-child {
    margin-bottom: 0;
}

/* Todos Container */

.todos-container {
    flex: 1;
    flex-direction: column;
    display: flex;
}

.todos-container h2 {
    position: relative; /* Give a higher stacking context to make box-shadow visible. */
    margin: 0;
    text-align: center;
    font-size: 15px;
    padding: .5rem 0;
    box-shadow: 0 2px 3px -3px var(--dark);
}

.todos-container ul {
    flex-direction: column;
    display: flex;
    list-style: none;
    padding: 0;
    margin: 0;
    overflow: auto;
}

.todos-container ul li {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    padding: .2rem .75rem;
}

.todos-container ul li:first-child {
    margin-top: .5rem;
}

.todos-container ul li:nth-child(odd) {
    background-color: var(--light);
}

.todos-container ul li span {
    margin-right: auto;
}

.todos-container ul li button {
    margin-left: .25rem;
}
